OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_HArray1OfOrientedClosedShell Class Reference

`#include <StepShape_HArray1OfOrientedClosedShell.hxx>`

## Public Member Functions
Standard_EXPORT | StepShape_HArray1OfOrientedClosedShell (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_HArray1OfOrientedClosedShell (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepShape_OrientedClosedShell)&V)
Standard_EXPORT void | Init (const Handle(StepShape_OrientedClosedShell)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepShape_OrientedClosedShell)&Value)
const Handle_StepShape_OrientedClosedShell & | Value (const Standard_Integer Index) const
Handle_StepShape_OrientedClosedShell & | ChangeValue (const Standard_Integer Index)
const StepShape_Array1OfOrientedClosedShell & | Array1 () const
StepShape_Array1OfOrientedClosedShell & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepShape_Array1OfOrientedClosedShell | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_HArray1OfOrientedClosedShell::StepShape_HArray1OfOrientedClosedShell | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_HArray1OfOrientedClosedShell::StepShape_HArray1OfOrientedClosedShell | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepShape_OrientedClosedShell)& | V
| ) |

## Member Function Documentation

const StepShape_Array1OfOrientedClosedShell& StepShape_HArray1OfOrientedClosedShell::Array1 | ( |  | ) | const

StepShape_Array1OfOrientedClosedShell& StepShape_HArray1OfOrientedClosedShell::ChangeArray1 | ( |  | ) |

Handle_StepShape_OrientedClosedShell& StepShape_HArray1OfOrientedClosedShell::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepShape_HArray1OfOrientedClosedShell::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_HArray1OfOrientedClosedShell::Init | ( | const Handle(StepShape_OrientedClosedShell)& | V | ) |

Standard_Integer StepShape_HArray1OfOrientedClosedShell::Length | ( |  | ) | const

Standard_Integer StepShape_HArray1OfOrientedClosedShell::Lower | ( |  | ) | const

void StepShape_HArray1OfOrientedClosedShell::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepShape_OrientedClosedShell)& | Value
| ) |

Standard_Integer StepShape_HArray1OfOrientedClosedShell::Upper | ( |  | ) | const

const Handle_StepShape_OrientedClosedShell& StepShape_HArray1OfOrientedClosedShell::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepShape_Array1OfOrientedClosedShell StepShape_HArray1OfOrientedClosedShell::myArray`[private]`

The documentation for this class was generated from the following file:

- StepShape_HArray1OfOrientedClosedShell.hxx